<div class="row">
  <div class="col-xs-12">
    <form (ngSubmit)="onSubmitItem(f)" #f="ngForm">
      <div class="row">
        <div class="col-sm-5 form-group">
          <label for="name">Name</label>
          <input
            type="text"
            id="name"
            class="form-control"
            name="name"
            ngModel
           required>
        </div>
        <div class="col-sm-2 form-group">
          <label for="amount">Amount</label>
          <input
            type="number"
            id="amount"
            class="form-control"
            name="amount"
            ngModel
            [pattern]="'^[1-9]+[0-9]*$'"
            required>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <button class="btn btn-success"
                  type="submit"
                  [disabled]="!f.valid">{{editMode ? 'Update' : 'Add' }}</button>
          <button class="btn btn-danger" type="button" (click)="onDelete()" *ngIf="editMode">Delete</button>
          <button class="btn btn-primary" type="button" (click)="onClear()">Clear</button>
        </div>
      </div>
    </form>
  </div>
</div>
